<!doctype html>
<html lang="{{request.locale_name}}">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="JMMC Observation Portal">
    <meta name="author" content="JMMC">
    <link rel="icon" href="{{request.static_url('obsportal:static/pyramid-16x16.png')}}">

    <title>JMMC ObsPortal</title>

    <!-- Bootstrap core CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">

    <!-- JQuery/Datatables -->
    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.20/css/jquery.dataTables.css">

    <!-- Custom styles for this template -->
    <link href="{{ request.static_url('obsportal:static/starter-template.css') }}" rel="stylesheet">
  </head>

  <body>

    <nav class="navbar navbar-expand-md navbar-dark bg-dark fixed-top">
      <a class="navbar-brand" href="{{ request.route_path('home') }}">JMMC ObsPortal</a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault" aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>

      <div class="collapse navbar-collapse" id="navbarsExampleDefault">
        <ul class="navbar-nav mr-auto">
          <li class="nav-item active">
            <a class="nav-link" href="{{ request.route_path('home') }}">Home <span class="sr-only">(current)</span></a>
          </li>

          <li class="nav-item">
            <a class="nav-link" href="{{ request.route_path('search') }}">Search</a>
          </li>

          <li class="nav-item dropdown">
              <a class="nav-link dropdown-toggle" href="#" id="listsDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                Lists
              </a>
              <div class="dropdown-menu" aria-labelledby="listsDropdown">
                <a class="dropdown-item" href="{{ request.route_path('list', type='exposure') }}">Exposures</a>
                <a class="dropdown-item" href="{{ request.route_path('list', type='observation') }}">Observations</a>
                <a class="dropdown-item" href="{{ request.route_path('list', type='header') }}">Headers</a>
                <a class="dropdown-item" href="{{ request.route_path('list', type='target') }}">Targets</a>
                <a class="dropdown-item" href="{{ request.route_path('list', type='instrument') }}">Instruments</a>
                <a class="dropdown-item" href="{{ request.route_path('list', type='interferometer') }}">Interferometers</a>
              </div>
          </li>

          <li class="nav-item dropdown">
              <a class="nav-link dropdown-toggle" href="#" id="linksDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                Links
              </a>
              <div class="dropdown-menu" aria-labelledby="linksDropdown">
                <a class="dropdown-item" href="{{ request.route_path('health') }}">Health</a>
                <a class="dropdown-item" href="http://www.jmmc.fr/twiki/bin/view/Jmmc/Software/JmmcObsPortal">Wiki</a>
              </div>
          </li>

        </ul>
      </div>

        {% if updating %}
        <div class="alert alert-warning" role="alert">
          A database update is running!
        </div>
        {% endif %}
    </nav>

    <main role="main" class="container-fluid">
        {% block content %}
            <p>No content</p>
        {% endblock content %}
    </main><!-- /.container -->

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
    <script src="https://cdn.datatables.net/1.10.20/js/jquery.dataTables.js" type="text/javascript" charset="utf8"></script>

   <script type="text/javascript" charset="utf8">
        $(document).ready( function () {
            $('.data-table').DataTable( {"order": []} );
        } );
   </script>
  </body>
</html>
